# $Revision: 1.24 $, $Date: 2002/09/17 11:11:04 $
#
# Conditional build:
# _with_tests - perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Schedule
%define		pnam	At
Summary:	Schedule::At - an OS independent interface to 'at' Unix command
Summary(pl):	Schedule::At - niezaleny od platformy interfejs do polecenia 'at'
Name:		perl-Schedule-At
Version:	1.04
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This modules provides an OS independent interface to 'at', the Unix
command that allows you to execute commands at a specified time.

%description -l pl
Schedule::At udostpnia niezaleny od platformy interfejs do 'at',
Uniksowego polecenia, ktre pozwala Ci na wykonanie komendy o okrelonym
czasie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

# You need access to working atd to perform the tests...
%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Schedule/At.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Schedule-At.spec,v $
Revision 1.24  2002/09/17 11:11:04  ankry
- tests disabled by default; access to working atd is needed
- release 3, STBR

Revision 1.23  2002/09/16 08:30:22  ankry
- added tests on bcond
- remove %%{perl_sitelib}/Schedule dir (moved to perl)
- release 2

Revision 1.22  2002/09/08 11:04:22  radek
- version 1.04
- provided informative summary/description
STBR

Revision 1.21  2002/07/18 13:46:32  ankry
- translations, cleaning
- added %%{perl_sitelib}/Schedule
- release 2

Revision 1.20  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.19  2002/07/11 08:03:34  depesz
- new version; should work; STBR

Revision 1.18  2002/07/10 08:48:35  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:34:05  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:19:53  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:33:54  depesz
adapterized

Revision 1.12  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:22  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:15:07  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/23 16:16:18  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:57  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/07 09:18:46  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
